- Note: The pack was renamed from "RecordedFuture v2" to "Recorded Future Intelligence".

#### Integrations

##### Recorded Future v2

- Added the ***recordedfuture-malware-search*** command.
- Added the ability to get intelligence for malware using the **entity_type** argument and added the ability to fetch
  analyst notes using the new argument: **fetch_analyst_notes** for ***recordedfuture-intelligence*** command.
- Made the argument **fetch_related_entities** be optional for ***recordedfuture-intelligence*** command. Default value
  is "no".
- Added the **Alert Statuses to include in the fetch** integration parameter, which specify alert statuses to include in the fetch. If empty,
  the default value of 'no-action' will be used.
- Added the **Update alert status on fetch** integration parameter, which specify whether to update alert status to "pending" after it
  have been fetched (only for alerts with "no-action" status).
- Added **Turn on "Incident Sharing"** integration parameter, which allows users to share anonymized correlations from
  playbooks with Recorded Future to improve intelligence quality.
- Fixed an issue where the integration would repeatedly fetch the same alerts due to incorrectly setting the last fetch
  time in last run dict.
- Renamed **"File Threshold. Minimum risk score from Recorded Future to consider the file malicious."** integration parameter to **File Threshold**.
- Renamed **"CVE Threshold. Minimum risk score from Recorded Future to consider the CVE malicious."** integration parameter to **CVE Threshold**.
- Renamed **"IP Threshold. Minimum risk score from RF to consider the IP malicious."** integration parameter to **IP Threshold**.
- Renamed **"Domain Threshold. Minimum risk score from Recorded Future to consider the domain malicious."** integration parameter to **Domain Threshold**.
- Renamed **"URL Threshold. Minimum risk score from Recorded Future to consider the URL malicious."** integration parameter to **URL Threshold**.
- Renamed **"Vulnerability Threshold. Minimum risk score from Recorded Future to consider the vulnerability critical."** integration parameter to **Vulnerability Threshold**.
- Renamed **"Rule names to fetch alerts by, separated by semicolon. If empty, all alerts will be fetched."** integration parameter to **Rule names to fetch alerts by**.
- Renamed **"First fetch time (<number> <time unit>, e.g., 12 hours, 7 days, 3 months, 1 year)."** integration parameter to **First fetch time**.

#### Incident Types

- **Recorded Future Unclassified**
- **Recorded Future Leaked Credential Monitoring**
- **Recorded Future New Critical or Pre NVD Vulnerabilities**
- **Recorded Future Potential Typosquat**

#### Layouts

- **Recorded Future Incident**
- **RecordedFutureLayout** - deprecated. Use **Recorded Future Incident** instead.

#### Incident Fields

- **Recorded Future Alert Entities**

#### Classifiers

##### New: Recorded Future - Classifier

- Added the ***Recorded Future - Classifier*** which Classifies Recorded Future alerts to respective incidents types.

#### Mappers

##### New: Recorded Future - Incoming Mapper

- Added the ***Recorded Future - Incoming Mapper*** which maps incoming Recorded Future alert data to incident fields.

#### Playbooks

##### New: Recorded Future Entity Enrichment

- Added the ***Recorded Future Entity Enrichment*** template playbook which incorporate Recorded Future enrichment for
  IPs, Hashes, Domains, URLs into your current workflows. Playbook also shows how to look up available 'Links' data for
  IOCs.

##### New: Recorded Future Sandbox

- Added the ***Recorded Future Sandbox*** template Playbook which detonate files and URLs, retrieve the sandbox
  report and enrich IOCs from malware report with Recorded Future data.

##### New: Recorded Future Leaked Credential Alert Handling

- Added the ***Recorded Future Leaked Credential Alert Handling*** template playbook that shows suggested steps to
  triage leaked credential alerts. Classifier/Mapper are available to ingest Recorded Future Leaked Credential Alerts.

##### New: Recorded Future Typosquat Alert Handling

- Added the ***Recorded Future Typosquat Alert Handling*** template playbook that shows suggested steps to triage typo
  squat alerts. Classifier/Mapper are available to ingest Recorded Future Typo squat Alerts.

##### New: Recorded Future Vulnerability Alert Handling

- Added the ***Recorded Future Vulnerability Alert Handling*** template playbook that show suggested steps to triage new
  critical vulnerability alerts. Playbook include New and Critical CVEs. Classifier/Mapper are available to ingest
  Recorded Future New, Critical or Pre NVD Vulnerability Alerts.
